#
# spec file for package ghc-hsemail
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hsemail
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.2.0
Release:        lp152.1.6
Summary:        Parsec parsers for the Internet Message format (e-mail)
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-compat-devel
BuildRequires:  ghc-time-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Parsec parsers for the Internet Message format defined in RFC2822.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Thu Jun 27 2019 psimons@suse.com
- Update hsemail to version 2.2.0.
  [#]# v2.2.0
  * Drop the `parsec2read` function. `Read` is not supposed to be defined
    manually, really. It's supposed to be a dual to the derived `Show` instance.
  * Drop the Rfc2821 module. This code is not generic enough to be useful,
    really. I use it in [Postmaster](http://hackage.haskell.org/package/postmaster),
    and there it will live henceforth.
  * `caseString` no longer returns a string; it just returns `()`.
  * Make use of `DayOfWeek` type from new `time` library.
  * Drop the obsolete dependency on `mtl`.
* Tue Jun 11 2019 psimons@suse.com
- Update hsemail to version 2.1.0.
  * Re-write code to use the modern `time` library rather than `old-time`.
  * rfc2821: drop the entire smtp FSM stuff
  * hsemail.cabal: drop unnecessary build-depends
  * Drop support for GHC versions prior to 7.10.x.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Fri Jul 20 2018 psimons@suse.com
- Add hsemail at version 2.
